Subject: Re: Furnace filters?

From: Ronnie Falcao <[email-masked]>
Date: Thu, 17 Feb 2005 14:24:42 -0800

Thanks, Sweetie,

I'll see you Fri. evening at 7 with food, then.  Heh, that's
tomorrow.  HURRAY!

Love,
Ronnie

At 01:12 PM 2/17/2005, you wrote:
>Ronnie Falcao wrote:
>>Hi, David,
>>I just wanted to check in with you - when you replaced the
>>furnace filter (thanks again!), was there at least one more
>>clean one in reserve?
>
>Yes there was at least one.
>
>>Thanks.
>>And shall we plan on 7 pm Friday evening?  Or, alternatively
>
>Friday at 7 with food is good.
>
>>and/or in addition to . . . I'm house sitting at Eve's again.
>>Want to watch some videos there Sat. or Mon. evening?
>
>I need to deliver a finished video to the Humanist meeting on Sunday morning. So I'll probably be doing a lot of editing on Saturday.  But maybe Monday evening...  Tentative YES on that.
>
>Love,
>
> - David
>
>>Love,
>>Ronnie